import { jsx } from "react/jsx-runtime";
import { TeaBagIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TeaBag = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "TeaBag", ...props, children: /* @__PURE__ */ jsx(TeaBagIcon, { weight: variant }) });
  }
);
TeaBag.displayName = "TeaBag";
Object.assign(TeaBag, { isGdsIcon: true });
export {
  TeaBag
};
